------------------------------------------------------------------------------
--                                                                          --
--                               GNATemulator                               --
--                                                                          --
--                     Copyright (C) 2010-2015, AdaCore                     --
--                                                                          --
-- GNATemulator is free software; you can redistribute it  and/or modify it --
-- under terms of the GNU General Public License as published by the Free   --
-- Software Foundation; either version 2, or (at your option) any later     --
-- version. GNATemulator is distributed in the hope that it will be useful, --
-- but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHAN-  --
-- TABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public --
-- License  for more details. You  should  have  received a copy of the GNU --
-- General Public License  distributed with GNAT; see file COPYING. If not, --
-- write  to  the Free  Software  Foundation,  59 Temple Place - Suite 330, --
-- Boston, MA 02111-1307, USA.                                              --
--                                                                          --
------------------------------------------------------------------------------

with GNAT.Strings; use GNAT.Strings;
with Driver_Type; use Driver_Type;
with GNAT.OS_Lib;

package Driver_Target is
   Driver_Table : array (1 .. 2) of Driver_Target_Type :=
     (
        (Build_Command => null,
         Build_Options => null,
         Run_Command => new String'("qemu-system-ppc" &
                                      GNAT.OS_Lib.Get_Executable_Suffix.all),
         Run_Options => new String_List'(
           new String'("-no-reboot"),
           new String'("-nographic"),
           new String'("-M"),
           new String'("p2010rdb_vxworks"),
           new String'("-kernel"),
           new String'("$exe")),
         Target => new String'("p55-elf"),
         Target_String => new String'("e500v2 Bareboard (p2010)"),
         Board =>  new String'("p2010"),
         RTS_Keyword => new String'("p2020")
        ),
      (Build_Command => null,
       Build_Options => null,
       Run_Command => new String'("qemu-system-ppc" &
                                    GNAT.OS_Lib.Get_Executable_Suffix.all),
       Run_Options => new String_List'(
         new String'("-no-reboot"),
         new String'("-nographic"),
         new String'("-M"),
         new String'("mpc5566"),
         new String'("-kernel"),
         new String'("$exe")),
       Target => new String'("p55-elf"),
       Target_String => new String'("e500v1 Bareboard (mpc5566)"),
       Board =>  new String'("mpc5566"),
       RTS_Keyword => new String'("p5566")
      )
     );
end Driver_Target;
